package com.anssi.ebios.command.audit
{
	import com.adobe.cairngorm.commands.ICommand;
	import com.adobe.cairngorm.control.CairngormEvent;
	import com.anssi.ebios.command.AppCommand;
	import com.anssi.ebios.event.auditevent.GetAuditEvent;
	import com.anssi.ebios.model.AppModelLocator;
	import com.anssi.ebios.services.AuditService;
	import mx.managers.CursorManager;
	import mx.rpc.IResponder;
	
	import org.springextensions.actionscript.context.support.XMLApplicationContext;
	
	public class GetAuditCommand extends AppCommand implements ICommand, IResponder
	{
		private var _callBack:Function;
		
		
		public function execute(event:CairngormEvent):void
		{
			var evt:GetAuditEvent = (event as GetAuditEvent);
			_callBack = evt.callBack;
			
			CursorManager.setBusyCursor();
			var ac:XMLApplicationContext = XMLApplicationContext(AppModelLocator.getInstance().getAttribute("applicationContext"));
			var auditService:AuditService = ac.getObject("auditService", [this]) as AuditService;
			auditService.getAudit();
		}
		public function result(data:Object):void
		{
			CursorManager.removeBusyCursor();
			if(_callBack != null){
				_callBack(data);
			}
		}
	}
}