package com.anssi.ebios.command.audit
{
	import com.adobe.cairngorm.commands.ICommand;
	import com.adobe.cairngorm.control.CairngormEvent;
	import com.anssi.ebios.command.AppCommand;
	import com.anssi.ebios.event.auditevent.GetAuditLightEvent;
	import com.anssi.ebios.model.AppModelLocator;
	import com.anssi.ebios.services.AuditService;
	import mx.managers.CursorManager;
	import mx.rpc.IResponder;
	
	import org.springextensions.actionscript.context.support.XMLApplicationContext;
	
	public class GetAuditLightCommand extends AppCommand implements ICommand, IResponder
	{
		public var callBack:Function;
		
		public function execute(event:CairngormEvent):void
		{
			var evt:GetAuditLightEvent = (event as GetAuditLightEvent);
			this.callBack = evt.callBack;
			
			CursorManager.setBusyCursor();
			var ac:XMLApplicationContext = XMLApplicationContext(AppModelLocator.getInstance().getAttribute("applicationContext"));
			var auditService:AuditService = ac.getObject("auditService", [this]) as AuditService;
			
			auditService.getAnomaly();
		}
		
		public function result(data:Object):void
		{
			CursorManager.removeBusyCursor();
			if(this.callBack != null){
				this.callBack(data);
			}
		}
	}
}