package com.anssi.ebios.command.deliverable
{
	import com.adobe.cairngorm.commands.ICommand;
	import com.adobe.cairngorm.control.CairngormEvent;
	import com.anssi.ebios.command.AppCommand;
	import com.anssi.ebios.event.deliverableevent.GetDeliverableToProductEvent;
	import com.anssi.ebios.model.AppModelLocator;
	import com.anssi.ebios.services.DeliverableService;
	import mx.managers.CursorManager;
	import mx.rpc.IResponder;
	
	import org.springextensions.actionscript.context.support.XMLApplicationContext;

	public class GetDeliverableToProductCommand extends AppCommand implements ICommand, IResponder
	{
		private var _callBack:Function;
		
		public function execute(event:CairngormEvent):void
		{
			var evt:GetDeliverableToProductEvent = (event as GetDeliverableToProductEvent);
			_callBack = evt.callBack;
			
			CursorManager.setBusyCursor();
			var ac:XMLApplicationContext = XMLApplicationContext(AppModelLocator.getInstance().getAttribute("applicationContext"));
			var deliverableService:DeliverableService = ac.getObject("deliverableService", [this]) as DeliverableService;
			deliverableService.getDeliverableToProductList();
		}
		
		public function result(data:Object):void
		{
			CursorManager.removeBusyCursor();
			if(_callBack != null){
				_callBack(data);
			}
		}
	}
}