package com.anssi.ebios.command.fearedevent
{
	import com.adobe.cairngorm.commands.ICommand;
	import com.adobe.cairngorm.control.CairngormEvent;
	import com.anssi.ebios.command.AppCommand;
	import com.anssi.ebios.event.fearedevent.AddThreatSourceToFearedEventEvent;
	import com.anssi.ebios.event.fearedevent.GetFearedEventByGravityEvent;
	import com.anssi.ebios.model.AppModelLocator;
	import com.anssi.ebios.services.FearedEventService;
	import mx.managers.CursorManager;
	import mx.rpc.IResponder;
	
	import org.springextensions.actionscript.context.support.XMLApplicationContext;
	

	public class AddThreatSourceToFearedEventCommand extends AppCommand implements ICommand, IResponder
	{
		public var callBack:Function;
		
		public function execute(event:CairngormEvent):void
		{
			var evt:AddThreatSourceToFearedEventEvent = (event as AddThreatSourceToFearedEventEvent);
			this.callBack = evt.callBack;
			
			CursorManager.setBusyCursor();
			var ac:XMLApplicationContext = XMLApplicationContext(AppModelLocator.getInstance().getAttribute("applicationContext"));
			var fearedEventService:FearedEventService = ac.getObject("fearedEventService", [this]) as FearedEventService;
			
			fearedEventService.addThreatSourceToFearedEvent(evt.threatSourceList,evt.fearedEvent);
		}	
		
		public function result(data:Object):void
		{
			CursorManager.removeBusyCursor();
			if(this.callBack != null)
			{
				this.callBack(data);
			}
		}
	}
}