package com.anssi.ebios.command.image
{
	import com.adobe.cairngorm.commands.ICommand;
	import com.adobe.cairngorm.control.CairngormEvent;
	import com.anssi.ebios.command.AppCommand;
	import com.anssi.ebios.event.imageevent.GetImageEvent;
	import com.anssi.ebios.model.AppModelLocator;
	import com.anssi.ebios.services.ImageService;
	import mx.managers.CursorManager;
	import mx.rpc.IResponder;
	
	import org.springextensions.actionscript.context.support.XMLApplicationContext;

	public class GetImageCommand extends AppCommand implements ICommand, IResponder
	{
		private var _callBack:Function;
		
		public function execute(event:CairngormEvent):void
		{
			var evt:GetImageEvent = (event as GetImageEvent);
			_callBack = evt.callBack;
			
			CursorManager.setBusyCursor();
			var ac:XMLApplicationContext = XMLApplicationContext(AppModelLocator.getInstance().getAttribute("applicationContext"));
			var imageService:ImageService = ac.getObject("imageService", [this]) as ImageService;
			imageService.getImageList();
		}
		
		public function result(data:Object):void
		{
			CursorManager.removeBusyCursor();
			if(_callBack != null){
				_callBack(data);
			}
		}
	}
}