package com.anssi.ebios.command.impact
{
	import com.adobe.cairngorm.commands.ICommand;
	import com.adobe.cairngorm.control.CairngormEvent;
	import com.anssi.ebios.command.AppCommand;
	import com.anssi.ebios.event.gravitylevelevent.GetGravityLevelEvent;
	import com.anssi.ebios.event.impactevent.GetImpactByIdEvent;
	import com.anssi.ebios.event.impactevent.GetImpactEvent;
	import com.anssi.ebios.model.AppModelLocator;
	import com.anssi.ebios.services.GravityLevelService;
	import com.anssi.ebios.services.ImpactService;
	import mx.managers.CursorManager;
	import mx.rpc.IResponder;
	
	import org.springextensions.actionscript.context.support.XMLApplicationContext;

	public class GetImpactByIdCommand extends AppCommand implements ICommand, IResponder
	{
		private var _callBack:Function;
		
		public function execute(event:CairngormEvent):void
		{
			var evt:GetImpactByIdEvent = (event as GetImpactByIdEvent);
			_callBack = evt.callBack;
			
			CursorManager.setBusyCursor();
			var ac:XMLApplicationContext = XMLApplicationContext(AppModelLocator.getInstance().getAttribute("applicationContext"));
			var impactService:ImpactService = ac.getObject("impactService", [this]) as ImpactService;
			impactService.getImpactById(evt.impactId);
		}
		
		public function result(data:Object):void
		{
			CursorManager.removeBusyCursor();
			if(_callBack != null){
				_callBack(data);
			}
		}
	}
}