package com.anssi.ebios.command.importstudy
{
	import com.adobe.cairngorm.commands.ICommand;
	import com.adobe.cairngorm.control.CairngormEvent;
	import com.anssi.ebios.command.AppCommand;
	import com.anssi.ebios.event.importstudyevent.MapXMLtoSQLevent;
	import com.anssi.ebios.model.AppModelLocator;
	import com.anssi.ebios.services.ImportStudyService;
	import mx.managers.CursorManager;
	import mx.rpc.IResponder;
	
	import org.springextensions.actionscript.context.support.XMLApplicationContext;

	public class MapXMLtoSQLcommand extends AppCommand implements ICommand, IResponder
	{
		private var _callBack:Function;
		
		public function execute(event:CairngormEvent):void
		{
			var evt:MapXMLtoSQLevent = (event as MapXMLtoSQLevent);
			_callBack = evt.callBack;
			
			CursorManager.setBusyCursor();
			var ac:XMLApplicationContext = XMLApplicationContext(AppModelLocator.getInstance().getAttribute("applicationContext"));
			var importStudyService:ImportStudyService = ac.getObject("importStudyService", [this]) as ImportStudyService;
			importStudyService.mapping(evt.studyName);
		}
		
		public function result(data:Object):void
		{
			CursorManager.removeBusyCursor();
			if(_callBack != null){
				_callBack(data);
			}
		}
	}
}