package com.anssi.ebios.command.indicator
{
	
	import com.adobe.cairngorm.commands.ICommand;
	import com.adobe.cairngorm.control.CairngormEvent;
	import com.anssi.ebios.command.AppCommand;
	import com.anssi.ebios.event.indicatorevent.UpdateIndicatorEvent;
	import com.anssi.ebios.model.AppModelLocator;
	import com.anssi.ebios.services.IndicatorService;
	import mx.managers.CursorManager;
	import mx.rpc.IResponder;
	
	import org.springextensions.actionscript.context.support.XMLApplicationContext;
	
	public class UpdateIndicatorCommand extends AppCommand implements ICommand, IResponder
	{
		public var callBack:Function;
		
		public function execute(event:CairngormEvent):void
		{
			var evt:UpdateIndicatorEvent = (event as UpdateIndicatorEvent);
			this.callBack = evt.callBack;
			
			CursorManager.setBusyCursor();
			var ac:XMLApplicationContext = XMLApplicationContext(AppModelLocator.getInstance().getAttribute("applicationContext"));
			var indicatorService:IndicatorService = ac.getObject("indicatorService", [this]) as IndicatorService;
			indicatorService.updateIndicator(evt.indicator);
			
		}
		
		public function result(data:Object):void
		{
			CursorManager.removeBusyCursor();
			if(this.callBack != null){
				this.callBack(data);
			}
		}
	}
}