package com.anssi.ebios.command.information
{
	import com.adobe.cairngorm.commands.ICommand;
	import com.adobe.cairngorm.control.CairngormEvent;
	import com.anssi.ebios.command.AppCommand;
	import com.anssi.ebios.event.informationevent.GetInformationEvent;
	import com.anssi.ebios.model.AppModelLocator;
	import com.anssi.ebios.services.InformationService;
	import mx.managers.CursorManager;
	import mx.rpc.IResponder;
	
	import org.springextensions.actionscript.context.support.XMLApplicationContext;

	public class GetInformationCommand extends AppCommand implements ICommand, IResponder
	{
		private var _callBack:Function;		
		
		public function execute(event:CairngormEvent):void
		{
			var evt:GetInformationEvent = (event as GetInformationEvent);
			_callBack = evt.callBack;
			
			CursorManager.setBusyCursor();
			var ac:XMLApplicationContext = XMLApplicationContext(AppModelLocator.getInstance().getAttribute("applicationContext"));
			var informationService:InformationService = ac.getObject("informationService", [this]) as InformationService;
			informationService.getInformation();
		}
		public function result(data:Object):void
		{
			CursorManager.removeBusyCursor();
			if(_callBack != null){
				_callBack(data);
			}
		}
	}
}