package com.anssi.ebios.command.likelihoodlevel
{
	import com.adobe.cairngorm.commands.ICommand;
	import com.adobe.cairngorm.control.CairngormEvent;
	import com.anssi.ebios.command.AppCommand;
	import com.anssi.ebios.event.fearedevent.GetFearedEventByIdEvent;
	import com.anssi.ebios.event.likelihoodlevelevent.GetLikelihoodLevelEvent;
	import com.anssi.ebios.model.AppModelLocator;
	import com.anssi.ebios.services.FearedEventService;
	import com.anssi.ebios.services.LikelihoodService;
	import com.anssi.ebios.services.ThreatScenarioService;
	
	import mx.managers.CursorManager;
	import mx.rpc.IResponder;
	
	import org.springextensions.actionscript.context.support.XMLApplicationContext;
	
	public class GetLikelihoodLevelCommand extends AppCommand implements ICommand, IResponder
	{

		public var callBack:Function;
		
		public function execute(event:CairngormEvent):void
		{
			var evt:GetLikelihoodLevelEvent = (event as GetLikelihoodLevelEvent);
			this.callBack = evt.callBack;
			
			CursorManager.setBusyCursor();
			var ac:XMLApplicationContext = XMLApplicationContext(AppModelLocator.getInstance().getAttribute("applicationContext"));
			var likelihoodService:LikelihoodService = ac.getObject("likelihoodService", [this]) as LikelihoodService;
			likelihoodService.getLikelihoodLevel();
		}
		
		public function result(data:Object):void
		{
			trace("3");
			CursorManager.removeBusyCursor();
			if(this.callBack != null)
			{
				this.callBack(data);
			}
		}
	}
}