package com.anssi.ebios.command.parameter
{
	import com.adobe.cairngorm.commands.ICommand;
	import com.adobe.cairngorm.control.CairngormEvent;
	import com.anssi.ebios.command.AppCommand;
	import com.anssi.ebios.event.parameterevent.UpdateParameterEvent;
	import com.anssi.ebios.model.AppModelLocator;
	import com.anssi.ebios.services.ParameterService;
	
	import mx.managers.CursorManager;
	import mx.rpc.IResponder;
	
	import org.springextensions.actionscript.context.support.XMLApplicationContext;

	public class UpdateParameterCommand extends AppCommand implements ICommand, IResponder
	{
		private var _callBack:Function;
		
		public function execute(event:CairngormEvent):void
		{
			var evt:UpdateParameterEvent = (event as UpdateParameterEvent);
			_callBack = evt.callBack;
			
			CursorManager.setBusyCursor();
			var ac:XMLApplicationContext = XMLApplicationContext(AppModelLocator.getInstance().getAttribute("applicationContext"));
			var parameterService:ParameterService = ac.getObject("parameterService", [this]) as ParameterService;
			parameterService.updateParameter(evt.parameter);
		}
		
		public function result(data:Object):void
		{
			CursorManager.removeBusyCursor();
			if(_callBack!= null){
				_callBack(data);
			}
		}
	}
}