package com.anssi.ebios.command.role
{
	import com.adobe.cairngorm.commands.ICommand;
	import com.adobe.cairngorm.control.CairngormEvent;
	import com.anssi.ebios.command.AppCommand;
	import com.anssi.ebios.event.roleevent.GetRoleEvent;
	import com.anssi.ebios.model.AppModelLocator;
	import com.anssi.ebios.services.RoleService;
	
	import mx.managers.CursorManager;
	import mx.rpc.IResponder;
	
	import org.springextensions.actionscript.context.support.XMLApplicationContext;

	public class GetRoleCommand extends AppCommand implements ICommand, IResponder
	{
		private var _callBack:Function;
		
		public function execute(event:CairngormEvent):void
		{
			var evt:GetRoleEvent = (event as GetRoleEvent);
			_callBack = evt.callBack;
			
			CursorManager.setBusyCursor();
			var ac:XMLApplicationContext = XMLApplicationContext(AppModelLocator.getInstance().getAttribute("applicationContext"));
			var roleService:RoleService = ac.getObject("roleService", [this]) as RoleService;
			roleService.getRoleList();
		}
		
		public function result(data:Object):void
		{
			CursorManager.removeBusyCursor();
			if(_callBack != null){
				_callBack(data);
			}
		}
	}
}