package com.anssi.ebios.command.study
{
	import com.adobe.cairngorm.commands.ICommand;
	import com.adobe.cairngorm.control.CairngormEvent;
	import com.anssi.ebios.command.AppCommand;
	import com.anssi.ebios.event.study.CreateBlankStudyEvent;
	import com.anssi.ebios.model.AppModelLocator;
	import com.anssi.ebios.services.StudyService;
	
	import mx.managers.CursorManager;
	import mx.rpc.IResponder;
	
	import org.springextensions.actionscript.context.support.XMLApplicationContext;
	
	public class CreateBlankStudyCommand extends AppCommand implements ICommand, IResponder
	{
		public var callBack:Function
		
		public function execute(event:CairngormEvent):void
		{
			var evt:CreateBlankStudyEvent = (event as CreateBlankStudyEvent);
			this.callBack = evt.callBack;
			
			CursorManager.setBusyCursor();
			var ac:XMLApplicationContext = XMLApplicationContext(AppModelLocator.getInstance().getAttribute("applicationContext"));
			var studyService:StudyService = ac.getObject("studyService", [this]) as StudyService;
			studyService.createBlankStudy(evt.studyName);
		}
		
		public function result(data:Object):void
		{
			CursorManager.removeBusyCursor();
			if(this.callBack != null){
				this.callBack(data);
			}
		}
	}
}