package com.anssi.ebios.command.subject
{
	import com.adobe.cairngorm.commands.ICommand;
	import com.adobe.cairngorm.control.CairngormEvent;
	import com.anssi.ebios.command.AppCommand;
	import com.anssi.ebios.event.subjectevent.UpdateSubjectEvent;
	import com.anssi.ebios.model.AppModelLocator;
	import com.anssi.ebios.services.SubjectService;
	
	import mx.managers.CursorManager;
	import mx.rpc.IResponder;
	
	import org.springextensions.actionscript.context.support.XMLApplicationContext;

	public class UpdateSubjectCommand extends AppCommand implements ICommand, IResponder
	{
		private var _callBack:Function;
		
		public function execute(event:CairngormEvent):void
		{
			var evt:UpdateSubjectEvent = (event as UpdateSubjectEvent);
			_callBack = evt.callBack;
			
			CursorManager.setBusyCursor();
			var ac:XMLApplicationContext = XMLApplicationContext(AppModelLocator.getInstance().getAttribute("applicationContext"));
			var subjectService:SubjectService = ac.getObject("subjectService", [this]) as SubjectService;
			subjectService.updateSubject(evt.subject);
		}
		
		public function result(data:Object):void
		{
			CursorManager.removeBusyCursor();
			if(_callBack!= null){
				_callBack(data);
			}
		}
	}
}