package com.anssi.ebios.command.supportingasset
{
	import com.adobe.cairngorm.commands.ICommand;
	import com.adobe.cairngorm.control.CairngormEvent;
	import com.anssi.ebios.command.AppCommand;
	import com.anssi.ebios.event.supportingassetevent.GetRetainedSupportingAssetEvent;
	import com.anssi.ebios.model.AppModelLocator;
	import com.anssi.ebios.services.SupportingAssetService;
	
	import mx.managers.CursorManager;
	import mx.rpc.IResponder;
	
	import org.springextensions.actionscript.context.support.XMLApplicationContext;

	public class GetRetainedSupportingAssetCommand extends AppCommand implements ICommand, IResponder
	{
		private var _callBack:Function;
		
		public function execute(event:CairngormEvent):void
		{
			var evt:GetRetainedSupportingAssetEvent = (event as GetRetainedSupportingAssetEvent);
			_callBack = evt.callBack;
			
			CursorManager.setBusyCursor();
			var ac:XMLApplicationContext = XMLApplicationContext(AppModelLocator.getInstance().getAttribute("applicationContext"));
			var supportingAssetService:SupportingAssetService = ac.getObject("supportingAssetService", [this]) as SupportingAssetService;
			supportingAssetService.getRetainedSupportingAssetList();
		}
		
		public function result(data:Object):void
		{
			CursorManager.removeBusyCursor();
			if(_callBack != null){
				_callBack(data);
			}
		}
	}
}