package com.anssi.ebios.command.threat
{
	import com.adobe.cairngorm.commands.ICommand;
	import com.adobe.cairngorm.control.CairngormEvent;
	import com.anssi.ebios.command.AppCommand;
	import com.anssi.ebios.event.threatevent.CreateThreatEvent;
	import com.anssi.ebios.model.AppModelLocator;
	import com.anssi.ebios.services.ThreatService;
	
	import mx.managers.CursorManager;
	import mx.rpc.IResponder;
	
	import org.springextensions.actionscript.context.support.XMLApplicationContext;

	public class CreateThreatCommand extends AppCommand implements ICommand, IResponder
	{
		public var callBack:Function;
		
		public function execute(event:CairngormEvent):void
		{
			var evt:CreateThreatEvent = (event as CreateThreatEvent);
			this.callBack = evt.callBack;
			
			CursorManager.setBusyCursor();
			var ac:XMLApplicationContext = XMLApplicationContext(AppModelLocator.getInstance().getAttribute("applicationContext"));
			var threatService:ThreatService = ac.getObject("threatService", [this]) as ThreatService;
			threatService.createThreat(evt.threat);
		}
		
		public function result(data:Object):void
		{
			CursorManager.removeBusyCursor();
			if(this.callBack != null){
				this.callBack(data);
			}
		}
	}
}