package com.anssi.ebios.command.threatsourcetype
{
	import com.adobe.cairngorm.commands.ICommand;
	import com.adobe.cairngorm.control.CairngormEvent;
	import com.anssi.ebios.command.AppCommand;
	import com.anssi.ebios.event.threatsourcetypeevent.UpdateThreatSourceTypeEvent;
	import com.anssi.ebios.model.AppModelLocator;
	import com.anssi.ebios.services.ThreatSourceTypeService;
	
	import mx.managers.CursorManager;
	import mx.rpc.IResponder;
	
	import org.springextensions.actionscript.context.support.XMLApplicationContext;

	public class UpdateThreatSourceTypeCommand extends AppCommand implements ICommand, IResponder
	{
		public var callBack:Function;
		
		public function execute(event:CairngormEvent):void
		{
			var evt:UpdateThreatSourceTypeEvent = (event as UpdateThreatSourceTypeEvent);
			this.callBack = evt.callBack;
			
			CursorManager.setBusyCursor();
			var ac:XMLApplicationContext = XMLApplicationContext(AppModelLocator.getInstance().getAttribute("applicationContext"));
			var threatSourceTypeService:ThreatSourceTypeService = ac.getObject("threatSourceTypeService", [this]) as ThreatSourceTypeService;
			threatSourceTypeService.updateThreatSourceType(evt.threatSourceType);
		}
		
		public function result(data:Object):void
		{
			CursorManager.removeBusyCursor();
			if(this.callBack != null){
				this.callBack(data);
			}
		}
	}
}