package com.anssi.ebios.event.securitycriteriaevent
{
	import com.adobe.cairngorm.control.CairngormEvent;
	import com.anssi.ebios.control.AppController;
	import com.anssi.ebios.model.SecurityCriteria;

	public class UpdateSecurityCriteriaEvent extends CairngormEvent
	{
		
		public var securityCriteria:SecurityCriteria;
		public var callBack:Function;
		
		public function UpdateSecurityCriteriaEvent(securityCriteria:SecurityCriteria, successHandler:Function)
		{
			super(AppController.UPDATE_SECURITY_CRITERIA);
			this.securityCriteria = securityCriteria;
			this.callBack = successHandler;
		}
	}
}