package com.anssi.ebios.model
{
	import mx.collections.ArrayCollection;

	[Bindable]
	public class Action
	{
		public var id:String;
		public var libelle:String;
		public var actionKey:String;
		public var regle:Regle;
		public var activite:Activite;
		public var vueTechnique:String;
		public var deliverable:Deliverable;
		public var workload:String;
		public var duration:String;
		public var instruction:String;
		public var retained:Boolean;
		
		
		private var _regle_libelle:String;
		
		public function Action()	
		{
		}

		public function get regle_libelle():String
		{
			return regle.libelle;
		}

		public function set regle_libelle(value:String):void
		{
			regle.libelle = value;
		}
		
		public function get libelleWithActionNumber():String
		{
			return actionKey +" "+ libelle;
		}
		
		public function get numero():String{
			return this.actionKey;
		}
		
		
		public function getXMLNode():XML{
			var modelXML:XML = new XML("<action numlabel='' label='' numero='' vueTechnique=''></action>");
			var xml:XML = modelXML.copy();
			xml.@label = this.libelle;
			xml.@numero = this.actionKey;
			xml.@numlabel = this.actionKey+" - "+this.libelle;
			xml.@vueTechnique = this.vueTechnique;
			
			return xml;
		}

	}
}