package com.anssi.ebios.model
{
	import mx.collections.ArrayCollection;

	[Bindable]
	public class Impact
	{
		public function Impact()
		{
		}
		
		public var id:String;
		public var label:String;
		public var type:ImpactType;
		public var inducedImpact:String;
		public var fearedEventListForAudit:ArrayCollection;
		
		public function get typeExemple():String
		{
			return type.exemple;
		}
		
		public function get typeLabel():String
		{
			return type.label;
		}
		
		public function get fearedEventListForAuditToString():String{
			var str:String="";
			for each(var obj:FearedEvent in this.fearedEventListForAudit)
			{
				str += "- "+obj.label +" \t";
			}
			return str;
		}
	}
}