package com.anssi.ebios.model
{
	import mx.collections.ArrayCollection;

	public class ModuleEbios
	{
		
		public var id:String;
		public var libelle:String;
		public var numero:String;
		public var activites:ArrayCollection = new ArrayCollection();
		
		public function ModuleEbios()
		{
		}
		
		
		public function getXMLTree():XML{
			var modelXML:XML = new XML("<module numlabel='' label='' numero=''></module>");
			var xml:XML = modelXML.copy();
			xml.@label = this.libelle;
			xml.@numero = this.numero;
			xml.@numlabel = this.numero+" - "+this.libelle;
			
			if(this.activites != null){
				for each (var activ:Activite in this.activites){
					xml.appendChild(activ.getXMLNode());
				}
			}
			return xml;
		}
	}
}