package com.anssi.ebios.model
{
	import mx.collections.ArrayCollection;

	public class WorkStructure
	{
		
		public var action:Action;
		public var peopleList:ArrayCollection;
		
		public function WorkStructure()
		{
		}
		
		public function get deliverableLabel():String{
			return this.action.deliverable.label;
		}
		
		public function get actionFullLabel():String{
			return action.libelleWithActionNumber;
		}
		
		public function get instruction():String{
			return action.instruction;
		}
		
		public function set instruction(instruction:String):void{
			this.action.instruction = instruction;
		}
		
		public function get duration():String{
			return action.duration;
		}
		
		public function set duration(duration:String):void{
			this.action.duration = duration;
		}
		
		public function get workload():String{
			return action.workload;
		}
		
		public function set workload(workload:String):void{
			this.action.workload = workload;
		}
		
		public function get fullPropertyToString():String
		{
			return deliverableLabel+actionFullLabel+instruction+duration+workload;
		}
	}
}