package com.anssi.ebios.utils
{
	import mx.collections.ArrayCollection;
	
	import org.as3commons.bytecode.typeinfo.Annotatable;

	public class Resources
	{
		
		[Bindable]
		[Embed(source="assets/docs_anssi/anssi_knowledgebase_sql/anssi_db.sql",mimeType ="application/octet-stream")]
		public var AnssiSql:Class;
		
		[Bindable]
		[Embed(source="assets/sql/study_blank.sql",mimeType ="application/octet-stream")]
		public var StudyBlankSql:Class;
		
		/*[Bindable]
		[Embed(source="assets/docs_anssi/blank_study/ANSSI_BLANK_STUDY.sqlite",mimeType ="application/octet-stream")]
		public var AnssiBlankStudyDB:Class;*/
		public const ANSSI_BLANK_STUDY_ORIGINAL_PATH:String = "assets/docs_anssi/blank_study";
		private static var _ANSSI_BLANK_STUDY_DB_FILENAME:String = "ANSSI_BLANK_STUDY.sqlite";
		
		public const ANSSI_DEFAULT_LANGUAGE_DIRECTORY_PATH:String = "assets/languages";
		public const ANSSI_DEFAULT_LANGUAGE_FILENAME_FRANCAIS:String = "resources_Français.properties.txt";
		public const ANSSI_DEFAULT_LANGUAGE_FILENAME_ENGLISH:String = "resources_English.properties.txt";
		public const ANSSI_DEFAULT_LANGUAGE_FILENAME_PORTUGUES:String = "resources_Português.properties.txt";
		
		public const ANSSI_DEFAULT_USER_GUIDE_DIRECTORY_PATH:String = "assets/docs_anssi/userGuide";
		public const ANSSI_DEFAULT_USER_GUIDE_FILENAME:String = "ANSSI_EBIOS_Guide_utilisateur_v1.3.pdf";
		
		private static var _instance:Resources = new Resources();
		
		
		
		/** CREATION DE L'OBJET RESOURCES **/
		public function Resources()
		{
		}
		
		public static function getInstance():Resources{
			return _instance;
		}
		
		
		
		/** METHODES **/
		public function getDirectorySeparator():String{
			return Constants.DIRECTORY_SEPARATOR_WINDOWS;
		}
		
		public static function setANSSI_BLANK_STUDY_DB_FILENAME(prefixe:String=null):void{
			/*if(prefixe == null)
				_ANSSI_BLANK_STUDY_DB_FILENAME = "ANSSI_BLANK_STUDY.sqlite";
			else*/  
				_ANSSI_BLANK_STUDY_DB_FILENAME = "ANSSI_BLANK_STUDY"+prefixe+".sqlite";
		}
		public static function getANSSI_BLANK_STUDY_DB_FILENAME():String{
			return _ANSSI_BLANK_STUDY_DB_FILENAME;
		}
		
	}
}