package com.anssi.ebios.utils.sql
{
	import com.anssi.ebios.model.AppModelLocator;
	import com.anssi.ebios.utils.Properties;
	
	import mx.collections.ArrayCollection;
	
	public class AppSQLConnectionManager
	{
		
		[Bindable]
		[Embed(source="config/config.properties",mimeType ="application/octet-stream")]
		private var config:Class;
		private var configs:Properties = null;
		
		public static var sqlConnections:ArrayCollection = new ArrayCollection();
		public var name:String = null;
		
		public function AppSQLConnectionManager()
		{
			// on pointe vers le fichier de config
			configs = Properties.getEmbeddedBundle(config);
		}

		public function getAppSQLConnection(open:Boolean = true, asyncMode:Boolean = false):AppSQLConnection{
			var appSQLConnection:AppSQLConnection = new AppSQLConnection(this.name, open, asyncMode);
			sqlConnections.addItem(appSQLConnection);
			return appSQLConnection;
		}
		
		public static function close():void{
			trace('BDD fermée');
			for each (var appSQLConnection:AppSQLConnection in sqlConnections){
				appSQLConnection.close();
			}
		}
	}
}