package com.anssi.ebios.command.action
{
	import com.adobe.cairngorm.commands.ICommand;
	import com.adobe.cairngorm.control.CairngormEvent;
	import com.anssi.ebios.command.AppCommand;
	import com.anssi.ebios.event.actionevent.GetActionEvent;
	import com.anssi.ebios.event.actionevent.UpdateActionRegleEvent;
	import com.anssi.ebios.event.peopleevent.GetPeopleEvent;
	import com.anssi.ebios.model.Action;
	import com.anssi.ebios.model.AppModelLocator;
	import com.anssi.ebios.services.ActionService;
	import com.anssi.ebios.services.PeopleService;
	import mx.collections.ArrayCollection;
	import mx.managers.CursorManager;
	import mx.rpc.IResponder;
	import mx.managers.CursorManager;
	
	import org.springextensions.actionscript.context.support.XMLApplicationContext;

	public class UpdateActionRegleCommand extends AppCommand implements ICommand, IResponder
	{
		private var _callBack:Function;
		
		public function execute(event:CairngormEvent):void
		{
			var evt:UpdateActionRegleEvent = (event as UpdateActionRegleEvent);
			var actionList:ArrayCollection =evt.actionList ;
			_callBack = evt.callBack;
			
			CursorManager.setBusyCursor();
			var ac:XMLApplicationContext = XMLApplicationContext(AppModelLocator.getInstance().getAttribute("applicationContext"));
			var actionService:ActionService = ac.getObject("actionService", [this]) as ActionService;
			actionService.updateActionRegle(actionList);
		}
		
		public function result(data:Object):void
		{
			CursorManager.removeBusyCursor();
			if(_callBack != null){
				_callBack(data);
			}
		}
	}
}