package com.anssi.ebios.command.actionplan
{
	import com.adobe.cairngorm.commands.ICommand;
	import com.adobe.cairngorm.control.CairngormEvent;
	import com.anssi.ebios.command.AppCommand;
	import com.anssi.ebios.event.actionplanevent.GetActionPlanEvent;
	import com.anssi.ebios.model.AppModelLocator;
	import com.anssi.ebios.services.ActionPlanService;
	import mx.managers.CursorManager;
	import mx.rpc.IResponder;
	
	import org.springextensions.actionscript.context.support.XMLApplicationContext;
	
	public class GetActionPlanCommand extends AppCommand implements ICommand, IResponder
	{
		private var _callBack:Function;
		
		
		public function execute(event:CairngormEvent):void
		{
			var evt:GetActionPlanEvent = (event as GetActionPlanEvent);
			_callBack = evt.callBack;
			
			CursorManager.setBusyCursor();
			var ac:XMLApplicationContext = XMLApplicationContext(AppModelLocator.getInstance().getAttribute("applicationContext"));
			var actionPlanService:ActionPlanService = ac.getObject("actionPlanService", [this]) as ActionPlanService;
			actionPlanService.getActionPlan();
		}
		public function result(data:Object):void
		{
			CursorManager.removeBusyCursor();
			if(_callBack != null){
				_callBack(data);
			}
		}
	}
}