package com.anssi.ebios.command.actionplan
{
	
	import com.adobe.cairngorm.commands.ICommand;
	import com.adobe.cairngorm.control.CairngormEvent;
	import com.anssi.ebios.command.AppCommand;
	import com.anssi.ebios.event.actionplanevent.UpdateComplementarySecurityMeasureEvent;
	import com.anssi.ebios.model.AppModelLocator;
	import com.anssi.ebios.services.ActionPlanService;
	import mx.managers.CursorManager;
	import mx.rpc.IResponder;
	
	import org.springextensions.actionscript.context.support.XMLApplicationContext;
	
	public class UpdateComplementarySecurityMeasureCommand extends AppCommand implements ICommand, IResponder
	{
		public var callBack:Function;
		
		public function execute(event:CairngormEvent):void
		{
			var evt:UpdateComplementarySecurityMeasureEvent = (event as UpdateComplementarySecurityMeasureEvent);
			this.callBack = evt.callBack;
			
			CursorManager.setBusyCursor();
			var ac:XMLApplicationContext = XMLApplicationContext(AppModelLocator.getInstance().getAttribute("applicationContext"));
			var actionPlanService:ActionPlanService = ac.getObject("actionPlanService", [this]) as ActionPlanService;
			actionPlanService.updateComplementarySecurityMeasure(evt.securityMeasure);
			
		}
		
		public function result(data:Object):void
		{
			CursorManager.removeBusyCursor();
			if(this.callBack != null){
				this.callBack(data);
			}
		}
	}
}