package com.anssi.ebios.command.defenceline
{
	import com.adobe.cairngorm.commands.ICommand;
	import com.adobe.cairngorm.control.CairngormEvent;
	import com.anssi.ebios.command.AppCommand;
	import com.anssi.ebios.event.defencelineevent.GetDefenceLineEvent;
	import com.anssi.ebios.model.AppModelLocator;
	import com.anssi.ebios.services.DefenceLineService;
	import mx.managers.CursorManager;
	import mx.rpc.IResponder;
	
	import org.springextensions.actionscript.context.support.XMLApplicationContext;

	public class GetDefenceLineCommand extends AppCommand implements ICommand, IResponder
	{
		private var _callBack:Function;
		
		public function execute(event:CairngormEvent):void
		{
			var evt:GetDefenceLineEvent = (event as GetDefenceLineEvent);
			_callBack = evt.callBack;
			
			CursorManager.setBusyCursor();
			var ac:XMLApplicationContext = XMLApplicationContext(AppModelLocator.getInstance().getAttribute("applicationContext"));
			var defenceLineService:DefenceLineService = ac.getObject("defenceLineService", [this]) as DefenceLineService;
			defenceLineService.getDefenceLineList();
		}
		
		public function result(data:Object):void
		{
			CursorManager.removeBusyCursor();
			if(_callBack != null){
				_callBack(data);
			}
		}
	}
}