package com.anssi.ebios.command.gravitylevel
{
	import com.adobe.cairngorm.commands.ICommand;
	import com.adobe.cairngorm.control.CairngormEvent;
	import com.anssi.ebios.command.AppCommand;
	import com.anssi.ebios.event.gravitylevelevent.DeleteGravityLevelEvent;
	import com.anssi.ebios.model.AppModelLocator;
	import com.anssi.ebios.services.GravityLevelService;
	import mx.managers.CursorManager;
	import mx.rpc.IResponder;
	
	import org.springextensions.actionscript.context.support.XMLApplicationContext;

	public class DeleteGravityLevelCommand extends AppCommand implements ICommand, IResponder
	{
		private var _callBack:Function;
		
		public function execute(event:CairngormEvent):void
		{
			var evt:DeleteGravityLevelEvent = (event as DeleteGravityLevelEvent);
			_callBack = evt.callBack;
			
			CursorManager.setBusyCursor();
			var ac:XMLApplicationContext = XMLApplicationContext(AppModelLocator.getInstance().getAttribute("applicationContext"));
			var gravityLevelService:GravityLevelService = ac.getObject("gravityLevelService", [this]) as GravityLevelService;
			gravityLevelService.deleteGravityLevel(evt.gravityLevel);
		}
		
		public function result(data:Object):void
		{
			CursorManager.removeBusyCursor();
			if(_callBack != null){
				_callBack(data);
			}
		}
	}
}