package com.anssi.ebios.command.gravitylevel
{
	import com.adobe.cairngorm.commands.ICommand;
	import com.adobe.cairngorm.control.CairngormEvent;
	import com.anssi.ebios.command.AppCommand;
	import com.anssi.ebios.event.gravitylevelevent.GetGravityLevelLightEvent;
	import com.anssi.ebios.model.AppModelLocator;
	import com.anssi.ebios.services.GravityLevelService;
	import mx.managers.CursorManager;
	import mx.rpc.IResponder;
	
	import org.springextensions.actionscript.context.support.XMLApplicationContext;
	
	public class GetGravityLevelLightCommand extends AppCommand implements ICommand, IResponder
	{
		public var callBack:Function;
		
		public function execute(event:CairngormEvent):void
		{
			var evt:GetGravityLevelLightEvent = (event as GetGravityLevelLightEvent);
			this.callBack = evt.callBack;
			
			CursorManager.setBusyCursor();
			var ac:XMLApplicationContext = XMLApplicationContext(AppModelLocator.getInstance().getAttribute("applicationContext"));
			var gravityLevelService:GravityLevelService = ac.getObject("gravityLevelService", [this]) as GravityLevelService;
			
			gravityLevelService.getGravityLevelLight();
		}
		
		public function result(data:Object):void
		{
			CursorManager.removeBusyCursor();
			if(this.callBack != null){
				this.callBack(data);
			}
		}
	
	}
}