package com.anssi.ebios.command.likelihoodlevel
{
	import com.adobe.cairngorm.commands.ICommand;
	import com.adobe.cairngorm.control.CairngormEvent;
	import com.anssi.ebios.command.AppCommand;
	import com.anssi.ebios.event.likelihoodlevelevent.DeleteLikelihoodLevelEvent;
	import com.anssi.ebios.model.AppModelLocator;
	import com.anssi.ebios.services.LikelihoodService;
	import mx.managers.CursorManager;
	import mx.rpc.IResponder;
	
	import org.springextensions.actionscript.context.support.XMLApplicationContext;

	public class DeleteLikelihoodLevelCommand extends AppCommand implements ICommand, IResponder
	{
		private var _callBack:Function;
		
		public function execute(event:CairngormEvent):void
		{
			var evt:DeleteLikelihoodLevelEvent = (event as DeleteLikelihoodLevelEvent);
			_callBack = evt.callBack;
			
			CursorManager.setBusyCursor();
			var ac:XMLApplicationContext = XMLApplicationContext(AppModelLocator.getInstance().getAttribute("applicationContext"));
			var likelihoodService:LikelihoodService = ac.getObject("likelihoodService", [this]) as LikelihoodService;
			likelihoodService.deleteLikelihoodLevel(evt.likelihoodLevel);
		}
		
		public function result(data:Object):void
		{
			CursorManager.removeBusyCursor();
			if(_callBack != null){
				_callBack(data);
			}
		}
	}
}