package com.anssi.ebios.command.parameter
{
	import com.adobe.cairngorm.commands.ICommand;
	import com.adobe.cairngorm.control.CairngormEvent;
	import com.anssi.ebios.command.AppCommand;
	import com.anssi.ebios.event.parameterevent.GetParameterEvent;
	import com.anssi.ebios.model.AppModelLocator;
	import com.anssi.ebios.services.ParameterService;
	
	import mx.managers.CursorManager;
	import mx.rpc.IResponder;
	
	import org.as3commons.reflect.Parameter;
	import org.springextensions.actionscript.context.support.XMLApplicationContext;

	public class GetParameterCommand extends AppCommand implements ICommand, IResponder
	{
		
		private var _callBack:Function;
			
			public function execute(event:CairngormEvent):void
			{
				var evt:GetParameterEvent = (event as GetParameterEvent);
				_callBack = evt.callBack;
				
				CursorManager.setBusyCursor();
				var ac:XMLApplicationContext = XMLApplicationContext(AppModelLocator.getInstance().getAttribute("applicationContext"));
				var parameterService:ParameterService = ac.getObject("parameterService", [this]) as ParameterService;
				parameterService.getParameter();
			}
			
			public function result(data:Object):void
			{
				CursorManager.removeBusyCursor();
				if(_callBack != null){
					_callBack(data);
				}
			}
		
	}
}