package com.anssi.ebios.command.risk
{
	import com.adobe.cairngorm.commands.ICommand;
	import com.adobe.cairngorm.control.CairngormEvent;
	import com.anssi.ebios.command.AppCommand;
	import com.anssi.ebios.event.riskevent.GetRiskLightEvent;
	import com.anssi.ebios.model.AppModelLocator;
	import com.anssi.ebios.services.RiskService;
	
	import mx.managers.CursorManager;
	import mx.rpc.IResponder;
	
	import org.springextensions.actionscript.context.support.XMLApplicationContext;

	public class GetRiskLightCommand extends AppCommand implements ICommand, IResponder
	{
		public var callBack:Function;
		
		public function execute(event:CairngormEvent):void
		{
			var evt:GetRiskLightEvent = (event as GetRiskLightEvent);
			this.callBack = evt.callBack;
			
			CursorManager.setBusyCursor();
			var ac:XMLApplicationContext = XMLApplicationContext(AppModelLocator.getInstance().getAttribute("applicationContext"));
			var riskService:RiskService  = ac.getObject("riskService", [this]) as RiskService;
			riskService.getRiskLightList();
		}
		
		public function result(data:Object):void
		{
			trace("4");
			CursorManager.removeBusyCursor();
			if(this.callBack != null){
				this.callBack(data);
			}
		}
	}
}