package com.anssi.ebios.command.riskevaluation
{
	import com.adobe.cairngorm.commands.ICommand;
	import com.adobe.cairngorm.control.CairngormEvent;
	import com.anssi.ebios.command.AppCommand;
	import com.anssi.ebios.event.riskevaluationevent.ResetRiskEvaluationEvent;
	import com.anssi.ebios.model.AppModelLocator;
	import com.anssi.ebios.services.RiskEvaluationService;
	
	import mx.managers.CursorManager;
	import mx.rpc.IResponder;
	
	import org.springextensions.actionscript.context.support.XMLApplicationContext;
	
	public class ResetRiskEvaluationCommand extends AppCommand implements ICommand, IResponder
	{
		public var callBack:Function;
		
		public function execute(event:CairngormEvent):void
		{
			var evt:ResetRiskEvaluationEvent = (event as ResetRiskEvaluationEvent);
			this.callBack = evt.callBack;
			
			CursorManager.setBusyCursor();
			var ac:XMLApplicationContext = XMLApplicationContext(AppModelLocator.getInstance().getAttribute("applicationContext"));
			var riskEvaluationService:RiskEvaluationService  = ac.getObject("riskEvaluationService", [this]) as RiskEvaluationService;
			riskEvaluationService.resetColorMatrice();
		}
		
		public function result(data:Object):void
		{
			trace("1");
			CursorManager.removeBusyCursor();
			if(this.callBack != null){
				this.callBack(data);
			}
		}
	}
}