package com.anssi.ebios.command.securitymeasure
{
	import com.adobe.cairngorm.commands.ICommand;
	import com.adobe.cairngorm.control.CairngormEvent;
	import com.anssi.ebios.command.AppCommand;
	import com.anssi.ebios.event.securitymeasureevent.GetSecurityMeasureStateEEvent;
	import com.anssi.ebios.model.AppModelLocator;
	import com.anssi.ebios.services.SecurityMeasureService;
	
	import mx.managers.CursorManager;
	import mx.rpc.IResponder;
	
	import org.springextensions.actionscript.context.support.XMLApplicationContext;
	
	public class GetSecurityMeasureStateECommand  extends AppCommand implements ICommand, IResponder
	{
		public var callBack:Function;
		
		public function execute(event:CairngormEvent):void
		{
			var evt:GetSecurityMeasureStateEEvent = (event as GetSecurityMeasureStateEEvent);
			this.callBack = evt.callBack;
			
			CursorManager.setBusyCursor();
			var ac:XMLApplicationContext = XMLApplicationContext(AppModelLocator.getInstance().getAttribute("applicationContext"));
			var securityMeasureService:SecurityMeasureService  = ac.getObject("securityMeasureService", [this]) as SecurityMeasureService;
			securityMeasureService.getSecurityMeasureListStateE();
		}
		
		public function result(data:Object):void
		{
			CursorManager.removeBusyCursor();
			if(this.callBack != null){
				this.callBack(data);
			}
		}
	}
}