package com.anssi.ebios.command.securityneed
{
	import com.adobe.cairngorm.commands.ICommand;
	import com.adobe.cairngorm.control.CairngormEvent;
	import com.anssi.ebios.command.AppCommand;
	import com.anssi.ebios.event.securityneed.GetSecurityNeedsEvent;
	import com.anssi.ebios.model.AppModelLocator;
	import com.anssi.ebios.services.SecurityNeedService;
	
	import mx.managers.CursorManager;
	import mx.rpc.IResponder;
	
	import org.springextensions.actionscript.context.support.XMLApplicationContext;
	
	public class GetSecurityNeedsCommand extends AppCommand implements ICommand, IResponder
	{

		public var callBack:Function;
		
		public function execute(event:CairngormEvent):void
		{
			var evt:GetSecurityNeedsEvent = (event as GetSecurityNeedsEvent);
			this.callBack = evt.callBack;
			
			CursorManager.setBusyCursor();
			var ac:XMLApplicationContext = XMLApplicationContext(AppModelLocator.getInstance().getAttribute("applicationContext"));
			var securityNeedService:SecurityNeedService = ac.getObject("securityNeedService", [this]) as SecurityNeedService;
			securityNeedService.getSecurityNeeds(evt.idSecurityCriteria);
		}
		
		public function result(data:Object):void
		{
			CursorManager.removeBusyCursor();
			if(this.callBack != null){
				this.callBack(data);
			}
		}
	}
}