package com.anssi.ebios.command.supportasset
{
	import com.adobe.cairngorm.commands.ICommand;
	import com.adobe.cairngorm.control.CairngormEvent;
	import com.anssi.ebios.command.AppCommand;
	import com.anssi.ebios.event.supportassetevent.SaveSupportAssetsEvent;
	import com.anssi.ebios.model.AppModelLocator;
	import com.anssi.ebios.services.SupportAssetService;
	
	import mx.managers.CursorManager;
	import mx.rpc.IResponder;
	
	import org.springextensions.actionscript.context.support.XMLApplicationContext;

	public class SaveSupportAssetsCommand extends AppCommand implements ICommand, IResponder
	{
		private var _callBack:Function;
		
		public function execute(event:CairngormEvent):void
		{
			var evt:SaveSupportAssetsEvent = (event as SaveSupportAssetsEvent);
			_callBack = evt.callBack;
			
			CursorManager.setBusyCursor();
			var ac:XMLApplicationContext = XMLApplicationContext(AppModelLocator.getInstance().getAttribute("applicationContext"));
			var supportAssetService:SupportAssetService = ac.getObject("supportAssetService", [this]) as SupportAssetService;
			supportAssetService.saveSupportAssets(evt.bsPositions);
		}
		
		public function result(data:Object):void
		{
			CursorManager.removeBusyCursor();
			if(_callBack != null){
				_callBack();
			}
		}
	}
}