package com.anssi.ebios.command.supportassettype
{
	import com.adobe.cairngorm.commands.ICommand;
	import com.adobe.cairngorm.control.CairngormEvent;
	import com.anssi.ebios.command.AppCommand;
	import com.anssi.ebios.event.supportassettype.GetSupportAssetsTypesEvent;
	import com.anssi.ebios.event.threatsourcetypeevent.GetThreatSourceTypeEvent;
	import com.anssi.ebios.model.AppModelLocator;
	import com.anssi.ebios.services.SupportAssetTypeService;
	import com.anssi.ebios.services.ThreatSourceTypeService;
	
	import mx.managers.CursorManager;
	import mx.rpc.IResponder;
	
	import org.springextensions.actionscript.context.support.XMLApplicationContext;

	public class GetSupportAssetsTypesCommand extends AppCommand implements ICommand, IResponder
	{
		public var callBack:Function;
		
		public function execute(event:CairngormEvent):void
		{
			var evt:GetSupportAssetsTypesEvent = (event as GetSupportAssetsTypesEvent);
			this.callBack = evt.callBack;
			
			CursorManager.setBusyCursor();
			var ac:XMLApplicationContext = XMLApplicationContext(AppModelLocator.getInstance().getAttribute("applicationContext"));
			var supportAssetTypeService:SupportAssetTypeService = ac.getObject("supportAssetTypeService", [this]) as SupportAssetTypeService;
			supportAssetTypeService.getSupportAssetsTypes();
		}
		
		public function result(data:Object):void
		{
			CursorManager.removeBusyCursor();
			if(this.callBack != null){
				this.callBack(data);
			}
		}
	}
}