package com.anssi.ebios.command.workstructure
{
	import com.adobe.cairngorm.commands.ICommand;
	import com.adobe.cairngorm.control.CairngormEvent;
	import com.anssi.ebios.command.AppCommand;
	import com.anssi.ebios.event.workstructureevent.GetWorkStructureLightEvent;
	import com.anssi.ebios.model.AppModelLocator;
	import com.anssi.ebios.services.WorkStructureService;
	
	import mx.managers.CursorManager;
	import mx.rpc.IResponder;
	
	import org.springextensions.actionscript.context.support.XMLApplicationContext;
	
	public class GetWorkStructureLightCommand extends AppCommand implements ICommand, IResponder
	{
		public var callBack:Function;
	{
		public function execute(event:CairngormEvent):void
		{
			var evt:GetWorkStructureLightEvent = (event as GetWorkStructureLightEvent);
			this.callBack = evt.callBack;
			
			CursorManager.setBusyCursor();
			var ac:XMLApplicationContext = XMLApplicationContext(AppModelLocator.getInstance().getAttribute("applicationContext"));
			var workStructureService:WorkStructureService = ac.getObject("workStructureService", [this]) as WorkStructureService;
			
			workStructureService.getWorkStructureListLight();
		}
		
		public function result(data:Object):void
		{
			CursorManager.removeBusyCursor();
			if(this.callBack != null){
				this.callBack(data);
			}
		}
		
	}
}
}