package com.anssi.ebios.model
{
	import mx.collections.ArrayCollection;
	import mx.modules.Module;

	[Bindable]
	public class Activite
	{
		public var id:String;
		public var libelle:String;
		public var numero:String;
		public var module:ModuleEbios;
		public var actions:ArrayCollection = new ArrayCollection();
		
		public function Activite()
		{
		}

		
		public function getXMLNode():XML{
			var modelXML:XML = new XML("<activite numlabel='' label='' numero=''></activite>");
			var xml:XML = modelXML.copy();
			xml.@label = this.libelle;
			xml.@numero = this.numero;
			xml.@numlabel = this.numero+" - "+this.libelle;
			
			if(this.actions != null){
				for each (var actio:Action in this.actions){
					xml.appendChild(actio.getXMLNode());
				}
			}
			return xml;
		}
	}
}