package com.anssi.ebios.model
{
	import com.adobe.cairngorm.model.IModelLocator;
	import com.anssi.ebios.utils.Constants;
	import com.anssi.ebios.utils.Resources;
	
	import flash.events.Event;
	import flash.events.EventDispatcher;
	import flash.events.IEventDispatcher;
	
	import mx.collections.ArrayCollection;
	
	public class AppModelLocator extends EventDispatcher implements IModelLocator
	{
		// Instance Singleton
		private static var _model : AppModelLocator = new AppModelLocator();
		private var _currentStudyDbName:String = "";
		private var session:Array;
		
		/** VARIABLES PUBLIQUES **/
		[Bindable]
		public function get currentStudyDbName():String{
			return this._currentStudyDbName;
		}
		
		public function set currentStudyDbName(dbName:String):void{
			this._currentStudyDbName = dbName;
			if(this._currentStudyDbName.indexOf("/") > 0) this.studyName = this._currentStudyDbName.substring(this._currentStudyDbName.lastIndexOf("/")+1, this._currentStudyDbName.indexOf("."));
			else this.studyName = this._currentStudyDbName.substring(this._currentStudyDbName.lastIndexOf("\\")+1, this._currentStudyDbName.indexOf("."));
			
		}
		public var appVersion:String = "";
		public var studyName:String = "";
		
		
		
		
		
		
		/** DONNEES DE REFERENCES (par ordre alphabétique) **/
		//[Bindable] public var securityNeeds:ArrayCollection = new ArrayCollection();
		[Bindable] public var impacts:ArrayCollection = new ArrayCollection();
		[Bindable] public var indicatorLevel:ArrayCollection = new ArrayCollection();
		[Bindable] public var objectives:ArrayCollection = new ArrayCollection();
		[Bindable] public var parameterType:ArrayCollection = new ArrayCollection();
		[Bindable] public var role:ArrayCollection = new ArrayCollection();
		[Bindable] public var securityMeasureType:ArrayCollection = new ArrayCollection();
		[Bindable] public var status:ArrayCollection = new ArrayCollection();
		[Bindable] public var supportAssetsTypes:ArrayCollection = new ArrayCollection();
		[Bindable] public var threatSources:ArrayCollection = new ArrayCollection();
		[Bindable] public var threatSourceType:ArrayCollection = new ArrayCollection();
		[Bindable] public var threatType:ArrayCollection = new ArrayCollection();
		[Bindable] public var vulnerabilityType:ArrayCollection = new ArrayCollection();
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		public function AppModelLocator(target:IEventDispatcher=null)
		{
			init();
		}
		
		public static function getInstance() : AppModelLocator {
			return AppModelLocator._model;
		}
		private function init():void {
			session = new Array();
		}         
		
		[Bindable(event="sessionChanged")]
		public function getAttribute(key:String):* {
			return session[key];
		}
		
		public function setAttribute(key:String, obj:*):void {
			session[key] = obj;
			dispatchEvent(new Event("sessionChanged"));
		}
	}
}