package com.anssi.ebios.model
{
	import mx.collections.ArrayCollection;
	
	import org.as3commons.reflect.Type;

	[Bindable]
	public class SupportingAsset
	{
		public var id:String = "-1";
		public var label:String;
		public var description:String;
		public var retained:Boolean;
		public var children:ArrayCollection;
		public var primaryAssetList:ArrayCollection;
		public var proprietaire:People;
		public var type:SupportAssetType;
		
		public function SupportingAsset()
		{
		}
		
		public function get labelAndType():String{
			return type.title + " - " + label;
		}
		
		public function get proprietaireToString():String{
			if (proprietaire != null){
				return proprietaire.first_name + " " + proprietaire.last_name;
			}else{
				return "";
			}
		}
		
	}
}