package com.anssi.ebios.model
{
	import mx.collections.ArrayCollection;

	[Bindable]
	public class ThreatSourceType
	{
		
		public var id:String;
		public var label:String;
		public var examples:String;
		public var order:String;
		public var retained:Boolean;
		public var justification:String;
		public var threatSourceList:ArrayCollection;
		
		public function ThreatSourceType()
		{
		}
		
		public function get threatSourceListToString():String{
			var str:String = "";
			for each(var obj:ThreatSource in threatSourceList)
			{
				str += obj.label+ " \n";
			}
			return str;
		}
		
		public function get retainedToString():String{
			if (retained){
				return "X";
			}else{
				return "";
			}
		}
	}
}