package com.anssi.ebios.services
{
	import com.anssi.ebios.model.Impact;
	import com.anssi.ebios.model.ImpactType;
	
	import flash.data.SQLResult;
	import flash.data.SQLStatement;
	import flash.events.SQLEvent;
	
	import mx.collections.ArrayCollection;
	import mx.rpc.IResponder;

	public class ImpactTypeService extends AppServices
	{
		private var _responder:IResponder;
		private var _sqlStatement:SQLStatement;
		
		public function ImpactTypeService(responder:IResponder)
		{
			this._responder = responder;
			this.mode = AppServices.MODE_ASYNCHRONOUS;
		}
		
		public function getImpactType():void
		{
			setBDDName();
			_sqlStatement = new SQLStatement();
			_sqlStatement.sqlConnection = this.sqlConnection;
			var query:String =
				
				"SELECT * FROM TIMPACTS"
			
			_sqlStatement.text = query;
			_sqlStatement.addEventListener(SQLEvent.RESULT,getImpactTypeResult);
			openAndExecStatementInAsyncMode(_sqlStatement);
		}
		
		private function getImpactTypeResult(event:SQLEvent):void
		{
			var impactTypeList:ArrayCollection = new ArrayCollection();
			var result:SQLResult = SQLStatement(event.target).getResult();
			
			if (result != null && result.data != null)
			{
				 
				
				var row:Object;
				var numRows:int = result.data.length;
				var impactType:ImpactType;
				
				for (var i:int = 0; i < numRows; i++)
				{
					row = result.data[i];
					impactType = new ImpactType();	
					impactType.id = row["idTIMPACTS"];
					impactType.label = row["libelle"];
					impactType.exemple = row["exemples"];
					
					impactTypeList.addItem(impactType);
				}
			}
			_sqlStatement.sqlConnection.close();
			_responder.result(impactTypeList);
		}
	}
}