package com.anssi.ebios.services
{
	import com.anssi.ebios.model.Information;
	
	import flash.data.SQLResult;
	import flash.data.SQLStatement;
	import flash.events.SQLEvent;
	
	import mx.rpc.IResponder;

	public class InformationService extends AppServices
	{
		
		
		private var _responder:IResponder;
		private var _sqlStatement:SQLStatement;
		
		public function InformationService(responder:IResponder)
		{
			this._responder = responder;
			this.mode = AppServices.MODE_ASYNCHRONOUS;
		}
		
		/*****************************************************/
		/** Récupération du contenu de la table INFORMATION **/
		/*****************************************************/
		
		public function getInformation():void{
			setBDDName();
			
			_sqlStatement = new SQLStatement();
			
			_sqlStatement.sqlConnection = this.sqlConnection;
			var query:String = "SELECT * FROM INFORMATION";
			
			_sqlStatement.text = query;
			_sqlStatement.addEventListener(SQLEvent.RESULT,getInformationResult);
			
			openAndExecStatementInAsyncMode(_sqlStatement);		
		}
		
		private function getInformationResult(event:SQLEvent):void{
			var information:Information = new Information();			
			var result:SQLResult = SQLStatement(event.target).getResult();
			
			if (result != null && result.data != null)
			{
				var row:Object;
				row = result.data[0];
				
				information.url = row["URL"];					
			}			
			_sqlStatement.sqlConnection.close();
			_responder.result(information);
		}
	}
}