package com.anssi.ebios.utils
{
	import mx.resources.ResourceManager;

	public class Constants
	{
		
		public static const DIRECTORY_SEPARATOR_WINDOWS:String = "/";
		
		/** ETAPES **/
		public static const ACTION_1_1_1:String = "1.1.1";
		public static const ACTION_1_1_1_A:String = "1.1.1";
		public static const ACTION_1_1_1_B:String = "1.1.1";
		public static const ACTION_1_1_1_C:String = "1.1.1";
		public static const ACTION_1_1_1_D:String = "1.1.1";
		public static const ACTION_1_1_1_E:String = "1.1.1";
		public static const ACTION_1_1_2:String = "1.1.2";
		public static const ACTION_1_1_3:String = "1.1.3";
		public static const ACTION_1_1_4:String = "1.1.4";
		public static const ACTION_1_1_5:String = "1.1.5";
		
		public static const ACTION_1_2_1:String = "1.2.1";
		public static const ACTION_1_2_2:String = "1.2.2";
		public static const ACTION_1_2_3:String = "1.2.3";
		public static const ACTION_1_2_4:String = "1.2.4";
		
		public static const ACTION_1_3_1:String = "1.3.1";
		public static const ACTION_1_3_2:String = "1.3.2";
		public static const ACTION_1_3_3:String = "1.3.3";
		public static const ACTION_1_3_4:String = "1.3.4";
		
		public static const ACTION_2_1_1:String = "2.1.1";
		public static const ACTION_2_1_2:String = "2.1.2";
		
		public static const ACTION_3_1_1:String = "3.1.1";
		public static const ACTION_3_1_2:String = "3.1.2";
		
		public static const ACTION_4_1_1:String = "4.1.1";
		public static const ACTION_4_1_2:String = "4.1.2";
		public static const ACTION_4_2_1:String = "4.2.1";
		public static const ACTION_4_2_2:String = "4.2.2";
		
		public static const ACTION_5_1_1:String = "5.1.1";
		public static const ACTION_5_1_2:String = "5.1.2";
		public static const ACTION_5_1_3:String = "5.1.3";
		public static const ACTION_5_2_1:String = "5.2.1";
		public static const ACTION_5_2_2:String = "5.2.2";
		public static const ACTION_5_2_3:String = "5.2.3";
		

		public static const MARKER_TITLE_OPEN:String = "<TITLE>";
		public static const MARKER_TITLE_CLOSE:String = "</TITLE>";

		

		public static const MARKER_DESCRIPTION_OPEN:String = "<DESCRIPTION>";
		public static const MARKER_DESCRIPTION_CLOSE:String = "</DESCRIPTION>";

		public static const TBS_LOC:String = "1";
		public static const TBS_SYS:String = "2";
		public static const TBS_ORG:String = "3";
		public static const TBS_MAT:String = "4";
		public static const TBS_LOG:String = "5";
		public static const TBS_RSX:String = "6";
		public static const TBS_PER:String = "7";
		public static const TBS_PAP:String = "8";
		public static const TBS_CAN:String = "9";

		

		public static const MARKER_OBJECTIF:String ="<OBJECTIF/>";
		public static const MARKER_STRUCTURE_TRAVAIL:String ="<STRUCTURE_TRAVAIL/>";
		public static const MARKER_CONTEXTE:String ="<CONTEXTE/>";
		public static const MARKER_PERIMETRE:String ="<PERIMETRE/>";
		public static const MARKER_PARAMETRE:String ="<PARAMETRE/>";
		public static const MARKER_SOURCE:String ="<SOURCE/>";
		public static const MARKER_CRITERE_SECURITE:String ="<CRITERE_SECURITE/>";
		public static const MARKER_GRAVITE:String ="<GRAVITE/>";
		public static const MARKER_VRAISEMBLANCE:String ="<VRAISEMBLANCE/>";
		public static const MARKER_CRITERE_GESTION_RISQUE:String ="<CRITERE_GESTION_RISQUE/>";
		public static const MARKER_BE:String ="<BE/>";
		public static const MARKER_BS:String ="<BS/>";
		public static const MARKER_BE_BS:String ="<BE_BS/>";
		public static const MARKER_MESURES:String ="<MESURES/>";
		public static const MARKER_ER:String ="<ER/>";
		public static const MARKER_EVAL_ER:String ="<EVAL_ER/>";
		public static const MARKER_SM:String ="<SM/>";
		public static const MARKER_EVAL_SM:String ="<EVAL_SM/>";
		public static const MARKER_RISQUE:String ="<RISQUE/>";
		public static const MARKER_CARTO_RISQUE_SM_ME:String ="<CARTO_RISQUE_SM_ME/>";
		public static const MARKER_OPTION_TRT_RISQUE:String ="<OPTION_TRT_RISQUE/>";
		public static const MARKER_DECLARATION_APPLICABILITE:String ="<DECLARATION_APPLICABILITE/>";
		public static const MARKER_PLAN_ACTION:String ="<PLAN_ACTION/>";
		public static const MARKER_RISQUE_RESIDUEL:String ="<RISQUE_RESIDUEL/>";
		public static const MARKER_MATRICE_MESURE_RISQUE:String ="<MATRICE_MESURE_RISQUE/>";
		

		public static var BALISE_LIST:Array;
		
		public static var KBASE:String = "KBase";
		
		/** Liste des fichiers XML pour l'import de l'étude V2 */
		public static var XML_ORGANIZATION:String = "Organization.xml";
		public static var XML_OSPLIST:String = "OSPList.xml";
		public static var XML_HYPOTHESIS_LIST:String = "HypothesisList.xml";
		public static var XML_TARGET_SYSTEM:String = "TargetSystem.xml";
		public static var XML_STAKE_LIST:String = "StakeList.xml";
		public static var XML_ENTITY_RELATION_TABLE:String =  "EntityRelationTable.xml";
		public static var XML_SECURITY_NEEDS_SYNTHESIS:String = "SecurityNeedsSynthesis.xml";
		public static var XML_CRITERIA_LIST:String = "CriteriaList.xml";
		public static var XML_IMPACT_LIST:String = "ImpactList.xml";
		public static var XML_SECURITY_OBJECTIVE_LIST:String = "SecurityObjectiveList.xml";
		public static var XML_FUNCTIONNAL_REQUIREMENT_LIST:String = "FunctionnalRequirementList.xml";
		public static var XML_SENSITIVITY_SCALE:String = "SensitivityScale.xml";
		
		/** Liste des balises utiles pour l'import de l'étude V2 */
		public static var B_CONSTRAINT:String = "Constraint";
		public static var B_REGULATORY_REFERENCE:String = "RegulatoryReference";
		public static var B_HYPOTHESIS:String = "Hypothesis";
		public static var B_OSP:String = "OSP";
		public static var B_FUNCTION:String = "Function";
		public static var B_INFORMATION:String = "Information";
		public static var B_ENTITY:String = "Entity";
		public static var B_CRITERIA:String = "Criteria";
		public static var B_IMPACT:String = "Impact";
		public static var B_SECURITY_OBJECTIVE:String = "SecurityObjective";
		public static var B_FUNCTIONNAL_REQUIREMENT:String = "FunctionnalRequirement";
		public static var B_ORGANIZATION:String = "Organization";
		public static var B_TARGET_SYSTEM:String = "TargetSystem";
		public static var B_SENSITIVITY:String = "Sensitivity";
		public static var B_GRADATION_DESCRIPTION:String = "GradationDescription";
		public static var B_ROW:String = "Row";
		public static var B_ROW_TOKEN:String = "RowToken";
		public static var B_VALUES:String = "Values";
		public static var B_STAKE:String = "Stake";

		/** Liste des balises utiles pour l'import de l'étude V2 */
		public static var A_DESCRIPTION:String = "description";
		public static var A_CONTENT:String = "content";
		public static var A_LONG_LABEL:String = "longLabel";
		public static var A_ID:String = "ID";
		public static var A_LABEL:String = "label";
		public static var A_LEVEL:String = "level";
		public static var A_CRITERIA:String = "criteria";
		public static var A_VALUE:String = "value";
		public static var A_NAME:String = "name";
		public static var A_PRESENTATION:String = "presentation";
		

		public function Constants()
		{
		}
		
		public static function getBaliseList():Array
		{
			BALISE_LIST = new Array();
			
			var objectif:BaliseVO = new BaliseVO();
			objectif.label= ResourceManager.getInstance().getString('resources', 'balise.objectif');
			objectif.balise=MARKER_OBJECTIF;
			BALISE_LIST.push(objectif);
			
			var structure_travail:BaliseVO = new BaliseVO();
			structure_travail.label = ResourceManager.getInstance().getString('resources', 'balise.structure_travail');
			structure_travail.balise=MARKER_STRUCTURE_TRAVAIL;
			BALISE_LIST.push(structure_travail);
			
			var contexte:BaliseVO = new BaliseVO();
			contexte.label = ResourceManager.getInstance().getString('resources', 'balise.contexte');
			contexte.balise=MARKER_CONTEXTE;
			BALISE_LIST.push(contexte);
			
			var perimetre:BaliseVO = new BaliseVO();
			perimetre.label = ResourceManager.getInstance().getString('resources', 'balise.perimetre');
			perimetre.balise=MARKER_PERIMETRE;
			BALISE_LIST.push(perimetre);
			
			var parametre:BaliseVO = new BaliseVO();
			parametre.label = ResourceManager.getInstance().getString('resources', 'balise.parametre');
			parametre.balise=MARKER_PARAMETRE;
			BALISE_LIST.push(parametre);
			
			var source:BaliseVO = new BaliseVO();
			source.label = ResourceManager.getInstance().getString('resources', 'balise.source');
			source.balise=MARKER_SOURCE;
			BALISE_LIST.push(source);
			
			var critere_securite:BaliseVO = new BaliseVO();
			critere_securite.label = ResourceManager.getInstance().getString('resources', 'balise.critere_securite');
			critere_securite.balise=MARKER_CRITERE_SECURITE;
			BALISE_LIST.push(critere_securite);
			
			var gravite:BaliseVO = new BaliseVO();
			gravite.label = ResourceManager.getInstance().getString('resources', 'balise.gravite');
			gravite.balise=MARKER_GRAVITE;
			BALISE_LIST.push(gravite);
			
			var vraisemblance:BaliseVO = new BaliseVO();
			vraisemblance.label = ResourceManager.getInstance().getString('resources', 'balise.vraisemblance');
			vraisemblance.balise=MARKER_VRAISEMBLANCE;
			BALISE_LIST.push(vraisemblance);
			
			var critere_gestion_risque:BaliseVO = new BaliseVO();
			critere_gestion_risque.label = ResourceManager.getInstance().getString('resources', 'balise.critere_gestion_risque');
			critere_gestion_risque.balise=MARKER_CRITERE_GESTION_RISQUE;
			BALISE_LIST.push(critere_gestion_risque);
			
			var be:BaliseVO = new BaliseVO();
			be.label = ResourceManager.getInstance().getString('resources', 'balise.be');
			be.balise=MARKER_BE;
			BALISE_LIST.push(be);
			
			var bs:BaliseVO = new BaliseVO();
			bs.label = ResourceManager.getInstance().getString('resources', 'balise.bs');
			bs.balise=MARKER_BS;
			BALISE_LIST.push(bs);
			
			var be_bs:BaliseVO = new BaliseVO();
			be_bs.label = ResourceManager.getInstance().getString('resources', 'balise.be_bs');
			be_bs.balise=MARKER_BE_BS;
			BALISE_LIST.push(be_bs);
			
			var mesures:BaliseVO = new BaliseVO();
			mesures.label = ResourceManager.getInstance().getString('resources', 'balise.mesures');
			mesures.balise=MARKER_MESURES;
			BALISE_LIST.push(mesures);
			
			var er:BaliseVO = new BaliseVO();
			er.label = ResourceManager.getInstance().getString('resources', 'balise.er');
			er.balise=MARKER_ER;
			BALISE_LIST.push(er);
			
			var eval_er:BaliseVO = new BaliseVO();
			eval_er.label = ResourceManager.getInstance().getString('resources', 'balise.eval_er');
			eval_er.balise=MARKER_EVAL_ER;
			BALISE_LIST.push(eval_er);
			
			var sm:BaliseVO = new BaliseVO();
			sm.label = ResourceManager.getInstance().getString('resources', 'balise.sm');
			sm.balise=MARKER_SM;
			BALISE_LIST.push(sm);
			
			var eval_sm:BaliseVO = new BaliseVO();
			eval_sm.label = ResourceManager.getInstance().getString('resources', 'balise.eval_sm');
			eval_sm.balise=MARKER_EVAL_SM;
			BALISE_LIST.push(eval_sm);
			
			var risque:BaliseVO = new BaliseVO();
			risque.label = ResourceManager.getInstance().getString('resources', 'balise.risque');
			risque.balise=MARKER_RISQUE;
			BALISE_LIST.push(risque);
			
			var carto_risque_sm_me:BaliseVO = new BaliseVO();
			carto_risque_sm_me.label = ResourceManager.getInstance().getString('resources', 'balise.carto_risque_sm_me');
			carto_risque_sm_me.balise=MARKER_CARTO_RISQUE_SM_ME;
			BALISE_LIST.push(carto_risque_sm_me);
			
			var option_trt_risque:BaliseVO = new BaliseVO();
			option_trt_risque.label = ResourceManager.getInstance().getString('resources', 'balise.option_trt_risque');
			option_trt_risque.balise=MARKER_OPTION_TRT_RISQUE;
			BALISE_LIST.push(option_trt_risque);
			
			var declaration_applicabilite:BaliseVO = new BaliseVO();
			declaration_applicabilite.label = ResourceManager.getInstance().getString('resources', 'balise.declaration_applicabilite');
			declaration_applicabilite.balise=MARKER_DECLARATION_APPLICABILITE;
			BALISE_LIST.push(declaration_applicabilite);
			
			var plan_action:BaliseVO = new BaliseVO();
			plan_action.label = ResourceManager.getInstance().getString('resources', 'balise.plan_action');
			plan_action.balise=MARKER_PLAN_ACTION;
			BALISE_LIST.push(plan_action);
			
			var risque_residuel:BaliseVO = new BaliseVO();
			risque_residuel.label = ResourceManager.getInstance().getString('resources', 'balise.risque_residuel');
			risque_residuel.balise=MARKER_RISQUE_RESIDUEL;
			BALISE_LIST.push(risque_residuel);
			
			var matrice_mesure_risque:BaliseVO = new BaliseVO();
			matrice_mesure_risque.label = ResourceManager.getInstance().getString('resources', 'balise.matrice_mesure_risque');
			matrice_mesure_risque.balise=MARKER_MATRICE_MESURE_RISQUE;
			BALISE_LIST.push(matrice_mesure_risque);
			
			return BALISE_LIST;
		}
	}
}