package com.anssi.ebios.utils.openxml
{
	import flash.events.Event;
	import flash.net.FileReference;
	import flash.net.URLLoader;
	import flash.net.URLLoaderDataFormat;
	import flash.net.URLRequest;
	import flash.utils.ByteArray;
	
	import nochump.util.zip.ZipEntry;
	import nochump.util.zip.ZipFile;
	import nochump.util.zip.ZipOutput;

	public class DocxFileGenerationUtil
	{
		
		private var _xml:XML;
		
		public function DocxFileGenerationUtil()
		{
		}
		
		/**
		 * 
		 * @param docContentOpenXMLFormat Contenue du doc à générer
		 * Cette classe dézip le fichier "assets/modele/modele.docx"
		 * Ecrit dans le fichier document.xml le contenue passé en paramêtre
		 * Créer une nouvelle archive  et l'enregistre
		 * 
		 **/
		public function startGeneration(docContentOpenXMLFormat:XML):void
		{
			this._xml = docContentOpenXMLFormat;
			var chargeur:URLLoader = new URLLoader(new URLRequest("assets/modele/modele.docx"));
			chargeur.dataFormat = URLLoaderDataFormat.BINARY;
			chargeur.addEventListener(Event.COMPLETE, overrideModele);
		}
		private function overrideModele(e:Event):void
		{		
			var zipFile:ZipFile = new ZipFile(e.target.data);
			createNewDoc(zipFile);
		}
		private function createNewDoc(zipFile:ZipFile):ZipOutput
		{
			var zipOutput:ZipOutput;
			var ba:ByteArray = new ByteArray;
			ba.writeMultiByte(_xml, "UTF-8");
			
			zipOutput = new ZipOutput();
			for (var i:int; i < zipFile.size; i++) 
			{
				var entree:ZipEntry = zipFile.entries[i];
				zipOutput.putNextEntry(new ZipEntry(entree.name));
				
				if (entree.name != "word/document.xml") 
				{
					zipOutput.write(zipFile.getInput(entree));
				} 
				else 
				{
					zipOutput.write(ba);
				}
				zipOutput.closeEntry();
			}
			zipOutput.finish();
			
			return zipOutput;
			//temp
			enregistrer(zipOutput);
		}
		
		private	function enregistrer(zipOutput:ZipOutput):void 
		{
			var fr:FileReference = new FileReference()
			fr.save(zipOutput.byteArray,".docx");
		}	
		
	}
}